Page MenuHomePhabricator

Add IPv6 address for dashboard.wikiedu.org to the ratelimit exemptions
Closed, ResolvedPublic

Description

This is an update to T110235.

The Wiki Ed Dashboard makes edits from a Linode server. We previously set up an IP rate limit exemption for the IPv4 address of the server, 45.56.98.206.

We are still hitting rate limits sometimes because they come from the IPv6 address instead: 2600:3c03::f03c:91ff:fe08:7973

Please add that IPv6 address to the ratelimit exemptions. Thanks much!

Details

Related Gerrit Patches:

Event Timeline

Ragesoss created this task.Nov 28 2016, 9:50 PM
Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptNov 28 2016, 9:50 PM
Dereckson removed a project: Operations.

Change 324446 had a related patch set uploaded (by Dereckson):
Add dashboard.wikiedu.org IPv6 to en.wikipedia rate limit exempt

https://gerrit.wikimedia.org/r/324446

Change 324446 merged by jenkins-bot:
Add dashboard.wikiedu.org IPv6 to en.wikipedia rate limit exempt

https://gerrit.wikimedia.org/r/324446

Mentioned in SAL (#wikimedia-operations) [2016-11-30T14:23:56Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Add dashboard.wikiedu.org IPv6 to en.wikipedia rate limit exempt (T151823) (duration: 00m 45s)

Dereckson moved this task from Backlog to Done on the Wikimedia-Site-requests board.
Dereckson added a subscriber: Dereckson.

Deployed.

@Rageross Could you confirm you aren't affected by this rate throttle anymore from the IPv6?

Ragesoss closed this task as Resolved.Dec 2 2016, 2:14 AM

@Dereckson: we just had a backlog of queued edits, and we I restarted the processing job they all ran at once. None of them got ratelimited, so it looks like this worked. Thanks!